#! /bin/sh
set -e

LC_ALL=C
LANG=C
unset TZ
umask 022

. /usr/share/debconf/confmodule
db_version 2.0

if [ "$1" = configure ]; then
    # If the user prefers to manage the timezone by itself, let him doing that.
    if grep -q "^User defined$" /etc/timezone 2>/dev/null ; then
        db_stop
        echo
        echo "User defined timezone, leaving /etc/localtime unchanged."
    else
    
        # Get the values from debconf
        AREA=Etc
        ZONE=UTC
        db_get tzdata/Areas && AREA="$RET"
        db_get tzdata/Zones/$AREA && ZONE="$RET"
        db_stop
    
        # Update the timezone
        echo $AREA/$ZONE > /etc/timezone
        rm -f /etc/localtime && \
            cp -f /usr/share/zoneinfo/$AREA/$ZONE /etc/localtime
    
        echo 
        echo "Current default timezone: '$AREA/$ZONE'"
    fi

    # Show the new setting to the user
    TZBase=$(LC_ALL=C TZ=UTC0 date)
    UTdate=$(LC_ALL=C TZ=UTC0 date -d "$TZBase")
    TZdate=$(unset TZ ; LANG=C date -d "$TZBase")
    echo "Local time is now:      $TZdate."
    echo "Universal Time is now:  $UTdate."
    echo "Run 'dpkg-reconfigure tzdata' if you wish to change it."
    echo
fi



exit 0
